all repos

dotfiles @ 394d56fa6908da5418a6e5e21ce1050e587afd32

my dotfiles
27 files changed, 478 insertions(+), 398 deletions(-)
:bookmark: Update config
Author: Smirnov Olexandr ss2316544@gmail.com
Committed at: 2020-10-31 22:52:51 +0200
Parent: 99cc99c
M README.md

@@ -7,8 +7,8 @@ ~~~bash

curl -fsSL https://raw.github.com/ohmyzsh/ohmyzsh/master/tools/install.sh) && chsh -s $(which zsh) git clone https://github.com/Smirnov-O/zsh-simple-colors ~/.oh-my-zsh/custom/themes -sudo pacman -S i3-wm polybar dunst rofi picom feh redshift \ -kitty ranger htop bash zsh git vim neofetch scrot clipboard yay \ +sudo pacman -S i3-wm bspwm polybar dunst rofi picom feh nitrogen redshift task \ +kitty ranger htop bash zsh git vim neofetch scrot clipboard yay bash zsh \ ttf-font-awesome ttf-jetbrains-mono ttf-hack yay -S ttf-weather-icons ~~~

@@ -16,17 +16,20 @@

### Packages | Name | Description | | ------------------------------------------------------------------------ | ----------------- | -| `i3-wm` | Window Manager | +| `i3-wm`, `bspwm` | Window Manager | | `polybar` | Panel | | `dunst` | Notify manager | | `rofi` | Program loncher | | `picom` | Compositor | -| `feh` | Setting wallpaper | +| `qutebrowser` | Browser | +| `feh`, `nitrogen` | Setting wallpaper | | `kitty` | Terminal | | `ranger` | File manager | | `htop` | System motitor | | `yay` | AUR helper | | `redshift` | Night light | +| `zsh`, `bash` | Shell | +| `task` | Task manager | | `ttf-font-awesome`, `ttf-jetbrains-mono`, `ttf-weather-icons` `ttf-hack` | Font | | `arc-gtk-theme` | GTK theme | | `papirus-icon-theme` | Icon theme |
M bashrc

@@ -1,9 +1,9 @@

-export VISUAL="vim" [[ $- != *i* ]] && return -alias ls='ls --color=auto' PS1='\e[36m\w\e[39m ' + +source ~/.profile + +alias ls='ls --color=auto' alias cls='clear' +alias ..='cd ..' alias py='python3' -alias ipy='ipython3' -alias py3='python3' -alias ipy3='ipython3'
A config/bspwm/bspwmrc

@@ -0,0 +1,40 @@

+#! /bin/sh + +###### Auto start ##### +setxkbmap "us,ru,ua" ",winkeys" "grp:alt_shift_toggle" -option "ctrl:nocaps" & +sxhkd & +nmcli radio wifi on; nmcli device wifi connect Pechenka password 24032006 name net & +picom -b & +polybar test & +feh --randomize --bg-scale ~/Изображения/Walpapper/* & +# redshift-gtk & + + +###### BSPWM ##### +bspc monitor -d I II III IV V VI VII VIII IX X + +#bspc config border_radius 8 +bspc config border_width 2 +bspc config window_gap 10 +bspc config top_padding 20 +bspc config bottom_padding 0 +bspc config left_padding 0 +bspc config right_padding 0 +bspc config single_monocle false +bspc config click_to_focus true +bspc config split_ratio 0.50 +bspc config borderless_monocle true +bspc config gapless_monocle true +bspc config focus_by_distance true +bspc config focus_follows_pointer true +bspc config history_aware_focus true +bspc config remove_disabled_monitors true +bspc config merge_overlapping_monitors true +bspc config pointer_modifier mod4 +bspc config pointer_action1 move +bspc config pointer_action2 resize_side +bspc config pointer_action3 resize_corner + +####### Rules ###### +bspc rule -a Thunar desktop='^4' +bspc rule -a Qutebrowser desktop='^2'
M config/dunst/dunstrc

@@ -30,12 +30,6 @@ [frame]

width = 0 color = "#000000" -[shortcuts] - close = mod4+m - close_all = mod4+shift+m - history = mod4+n - context = mod4+shift+i - [urgency_low] background = "#002B36" foreground = "#dfdfdf"

@@ -49,4 +43,4 @@

[urgency_critical] background = "#900000" foreground = "#ffffff" - timeout = 0+ timeout = 0
M config/htop/htoprc

@@ -1,3 +1,5 @@

+# Beware! This file is rewritten by htop when settings are changed in the interface. +# The parser is also very primitive, and not human-friendly. fields=0 48 17 18 38 39 40 2 46 47 49 1 sort_key=46 sort_direction=1

@@ -25,4 +27,3 @@ left_meters=AllCPUs Memory Swap

left_meter_modes=1 1 1 right_meters=Clock Uptime Tasks LoadAverage right_meter_modes=2 2 2 2 -vim_mode=1
M config/i3/config

@@ -1,12 +1,17 @@

############# General ############# # Bind $MOD(super) key set $mod Mod4 +set $alt Mod1 +floating_modifier $mod + # Font font monospace 10 font pango:JetBrains Mono 10 + # Disable window title default_border pixel new_float pixel + # Borders hide_edge_borders smart

@@ -14,24 +19,33 @@ ############ Autostart ############

exec --no-startup-id exec picom -b exec --no-startup-id exec nmcli radio wifi on; nmcli device wifi connect <wifi-name> password <wifi-password> name net exec --no-startup-id exec redshift-gtk -exec --no-startup-id exec setxkbmap "us,ru,ua" ",winkeys" "grp:alt_shift_toggle" +exec --no-startup-id exec nitrogen +exec --no-startup-id exec setxkbmap "us,ru,ua" ",winkeys" "grp:alt_shift_toggle" -option "ctrl:nocaps" exec --no-startup-id exec org.telegram.desktop -exec --no-startup-id exec discord -exec --no-startup-id exec /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 -exec --no-startup-id ecec clipmenud +#exec --no-startup-id exec discord +exec_always --no-startup-id /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 +exec_always --no-startup-id $HOME/.config/polybar/launch.sh ############ Key bindings ######### -# Terminal + +# Open terminal bindsym $mod+Return exec kitty -bindsym ctrl+Mod1+t exec kitty +bindsym $mod+ctrl+Return exec kitty -T=Terminal-floating + +# Window switcher +bindsym $mod+Tab exec "rofi -show window -show-icons" +bindsym $alt+Tab exec "rofi -show window -show-icons" # Kill focus window bindsym $mod+q kill -bindsym Mod1+F4 kill # Program/Exit louncher bindsym $mod+space exec "rofi -show drun -show cobi -show-icons" -bindsym $mod+Escape exec "rofi -show power-menu -show-icons -width 30 -lines 6 -modi power-menu:~/.config/rofi/rofi-power-menu" +bindsym $mod+Escape exec "rofi -show power-menu -width 30 -lines 6 -modi power-menu:~/.config/rofi/rofi-power-menu" + +bindsym $mod+$alt+u exec ~/.script/dmenu/dmenu-config-edit.sh +bindsym $mod+$alt+i exec "rofi-keepassxc -d ~/Документы/text.kdbx" + # Restart i3wm bindsym $mod+Shift+r restart

@@ -41,17 +55,20 @@ bindsym --release Shift+Print exec "scrot /home/${USER}/$(date +%Y-%m-%d-%H-%M-%S).png"

# Clipboard menu bindsym $mod+c exec "CM_LAUNCHER=rofi clipmenu" + +# Volume +bindsym $mod+plus exec "pactl set-sink-volume alsa_output.pci-0000_00_1b.0.analog-stereo +5%" +bindsym $mod+minus exec "pactl set-sink-volume alsa_output.pci-0000_00_1b.0.analog-stereo -5%" +bindsym $mod+Shift+minus exec "pactl set-sink-mute alsa_output.pci-0000_00_1b.0.analog-stereo toggle" # Load program bindsym $mod+F1 exec kitty -T=Ranger_FM ranger -bindsym $mod+F2 exec chromium +bindsym $mod+F2 exec qutebrowser bindsym $mod+F3 exec subl bindsym $mod+F4 exec notable # Floating window -floating_modifier $mod bindsym $mod+Shift+space floating toggle -bindsym $mod+Shift+f focus mode_toggle # Fullscreen mode bindsym $mod+f fullscreen toggle

@@ -73,45 +90,46 @@ # Scratchpad

bindsym $mod+Shift+grave move scratchpad bindsym $mod+grave scratchpad show, floating disable -# Move workspace on open window -for_window [urgent=["lastet"]] focus -focus_on_window_activation focus - ######### Window preferens ######## -assign [class="(?i)kitty"] $ws1 -assign [class="(?i)chromium|firefox"] $ws2 -assign [class="(?i)subl|code|typora"] $ws3 -assign [class="(?i)thunar"] $ws4 -assign [title="Notable|Simplenote"] $ws5 -assign [class="(?i)telegram|discord"] $ws6 +#assign [class="(?i)kitty"] $ws1 +#assign [class="(?i)chromium|firefox|qutebrowser"] $ws2 +#assign [class="(?i)subl|code|emacs"] $ws3 +#assign [class="(?i)thunar"] $ws4 +#assign [title="Notable|Simplenote"] $ws5 +assign [class="(?i)telegram|discord|viber"] $ws6 assign [title="KeePassXC"] $ws7 -for_window [title="Ranger_FM"] move to workspace $ws4 -for_window [class="Spotify"] move to workspace $ws10 +#for_window [title="Ranger_FM"] move to workspace $ws4 +#for_window [class="Spotify"] move to workspace $ws10 +for_window [class="(?i)mousepad"] floating enable +for_window [title="Terminal-floating"] floating enable +for_window [class="(?i)lxappearance|qt5ct"] floating enable +for_window [class="(?i)nitrogen"] floating enable +#for_window [class=""] +for_window [urgent="lastet"] focus +#focus_on_window_activation focus + +############## Gaps ############### +gaps inner 4 +#smart_gaps on ##### Change containet focus ###### -# Vim like keys container bindsym $mod+j focus left +bindsym $mod+Left focus left bindsym $mod+k focus down -bindsym $mod+l focus up -bindsym $mod+semicolon focus right - -# Alternatively cursor keys -bindsym $mod+Left focus left bindsym $mod+Down focus down +bindsym $mod+l focus up bindsym $mod+Up focus up +bindsym $mod+semicolon focus right bindsym $mod+Right focus right ##### Move focused container ###### -# Vim like keys bindsym $mod+Shift+j move left -bindsym $mod+Shift+k move down -bindsym $mod+Shift+l move up -bindsym $mod+Shift+colon move right - -# Alternatively cursor keys bindsym $mod+Shift+Left move left +bindsym $mod+Shift+k move down bindsym $mod+Shift+Down move down +bindsym $mod+Shift+l move up bindsym $mod+Shift+Up move up +bindsym $mod+Shift+colon move right bindsym $mod+Shift+Right move right ############ Workspaces ###########

@@ -126,7 +144,6 @@ set $ws8 "8"

set $ws9 "9" set $ws10 "10" -# Switch workspace bindsym $mod+1 workspace $ws1 bindsym $mod+2 workspace $ws2 bindsym $mod+3 workspace $ws3

@@ -138,7 +155,6 @@ bindsym $mod+8 workspace $ws8

bindsym $mod+9 workspace $ws9 bindsym $mod+0 workspace $ws10 -# Move focused container to workspace bindsym $mod+Shift+1 move container to workspace $ws1 bindsym $mod+Shift+2 move container to workspace $ws2 bindsym $mod+Shift+3 move container to workspace $ws3

@@ -151,30 +167,38 @@ bindsym $mod+Shift+9 move container to workspace $ws9

bindsym $mod+Shift+0 move container to workspace $ws10 ########### Resize mode ########### +bindsym $mod+$alt+r mode "resize" +bindsym $mod+$alt+g mode "gaps" + mode "resize" { bindsym j resize shrink width 10 px or 10 ppt bindsym k resize grow height 10 px or 10 ppt bindsym l resize shrink height 10 px or 10 ppt bindsym semicolon resize grow width 10 px or 10 ppt - # same bindings, but for the arrow keys bindsym Left resize shrink width 10 px or 10 ppt bindsym Down resize grow height 10 px or 10 ppt bindsym Up resize shrink height 10 px or 10 ppt bindsym Right resize grow width 10 px or 10 ppt - # back to normal: Enter or Escape or $mod+r bindsym Return mode "default" bindsym Escape mode "default" - bindsym $mod+r mode "default" } -bindsym $mod+r mode "resize" +mode "gaps" { + bindsym plus gaps inner current plus 2 + bindsym minus gaps inner current minus 2 + bindsym 0 gaps inner current set 0 -############### Bar ############### -exec_always --no-startup-id $HOME/.config/polybar/launch.sh + bindsym Shift+plus gaps inner all plus 4 + bindsym Shift+minus gaps inner all minus 4 + bindsym Shift+0 gaps inner all set 0 + + bindsym Return mode "default" + bindsym Escape mode "default" +} ############## Colors ############# -# class border backgr text indicator child_border +# Class Border Backgr Text Indicator Child_border client.focused #268bd2 #268bd2 #ffffff #268bd2 #268bd2 client.focused_inactive #000000 #000000 #ffffff #000000 #000000 client.unfocused #000000 #000000 #888888 #000000 #000000
A config/nvim/init.vim

@@ -0,0 +1,111 @@

+call plug#begin('~/.vim/plugged') + Plug 'overcache/NeoSolarized' + Plug 'ryanoasis/vim-devicons' + Plug 'itchyny/lightline.vim' + + " File manger & seacher + Plug 'scrooloose/nerdtree', { 'on': 'NERDTreeToggle' } + Plug 'kien/ctrlp.vim', { 'on': 'CtrlP' } + + " Completion + Plug 'jiangmiao/auto-pairs' + Plug 'neoclide/coc.nvim', {'branch': 'release'} + + " Language support + Plug 'pangloss/vim-javascript', { 'for': 'javascript' } + Plug 'PotatoesMaster/i3-vim-syntax' + Plug 'vim-python/python-syntax', { 'for': 'python' } + Plug 'mattn/emmet-vim', { 'for': 'html' } + Plug 'ap/vim-css-color' +call plug#end() + +set number +set relativenumber + +syntax on +set ruler +set t_Co=256 + +set mouse=a +set mousehide + +set encoding=utf-8 +set fileencodings=utf8,cp1251 + +set cursorline + +set nowrap +set nolinebreak + +set nobackup +set noswapfile +set history=100 +set autoread + +set showmode +set showcmd + +set tabstop=4 +set shiftwidth=4 +set softtabstop=4 +set expandtab +set autoindent + +set incsearch +set ignorecase +set smartcase + +set hidden +set smartindent + +set visualbell t_vb= + +set termguicolors +set background=dark +colorscheme NeoSolarized + +"""" Plugins """" +let g:lightline = { +\ 'colorscheme': 'selenized_dark', +\ 'active': { +\ 'left': [ [ 'mode', 'paste' ], +\ [ 'readonly', 'modified', 'gitbranch' ] ], +\ 'right': [ [ 'lineinfo' ], +\ [ 'percent' ], +\ [ 'filename', 'fileencoding', 'filetype' ] ] +\ }, } + +let g:NERDTreeWinPos="right" +let NERDTreeMinimalUI = 1 +let NERDTreeShowLineNumbers=0 + +inoremap <expr> <Tab> pumvisible() ? "\<C-n>" : "\<Tab>" +inoremap <expr> <S-Tab> pumvisible() ? "\<C-p>" : "\<S-Tab>" + +"""" Maping """" +let mapleader="," +map <C-j> <C-W>j +map <C-k> <C-W>k +map <C-h> <C-W>h +map <C-l> <C-W>l + +map <C-b> :NERDTreeToggle<CR> + +noremap <C-Tab> :tabnext<CR> +noremap <C-S-Tab> :tabprev<CR> + +noremap <C-n> :tabnew<CR> +noremap <C-t> :tabnew<CR> +noremap <C-w> :tabclose<CR> +noremap <leader>1 :tabn 1<CR> +noremap <leader>2 :tabn 2<CR> +noremap <leader>3 :tabn 3<CR> +noremap <leader>4 :tabn 4<CR> +noremap <leader>5 :tabn 5<CR> +noremap <leader>6 :tabn 6<CR> +noremap <leader>7 :tabn 7<CR> +noremap <leader>8 :tabn 8<CR> +noremap <leader>9 :tabn 9<CR> + +noremap <leader>n :bnext<CR> +noremap <leader>p :bprev<CR>
M config/picom.conf

@@ -6,9 +6,7 @@ shadow = true;

shadow-radius = 11; shadow-offset-x = -7; shadow-offset-y = -7; -shadow-exclude = [ - "name = 'Notification'" -]; +shadow-exclude = []; ############ Fading ###########

@@ -18,15 +16,19 @@ fade-out-step = 0.03;

##### Transparency/Opacity #### -inactive-opacity = 0.8; +#inactive-opacity = 0.8; +inactive-opacity = 1; frame-opacity = 0.7; inactive-opacity-override = false; +#inactive-opacity-override = true; focus-exclude = []; ##### Background-Blurring ##### blur-kern = "3x3box"; -blur-background-exclude = [ "window_type = 'desktop'" ]; +blur-background-exclude = [ + "window_type = 'desktop'" +]; ####### General Settings ######

@@ -43,8 +45,7 @@ detect-client-leader = true;

glx-no-rebind-pixmap = true; use-damage = true; log-level = "warn"; -wintypes: -{ +wintypes: { tooltip = { fade = true; shadow = false; opacity = 1; focus = true; full-shadow = false; }; menu = { fade = true; shadow = false; }; popup_menu = { fade = true; shadow = false; };
M config/polybar/config

@@ -2,30 +2,40 @@ [settings]

pseudo-transparency = true [colors] -background = #002B36 -background-alt = #002236 -foreground = #dfdfdf -foreground-alt = #f0f0f0 -primary = #268bd2 -secondary = #218DC8 -alert = #268bd2 +; Solarized ======== +;background = #002B36 +;foreground = #dfdfdf +;secondary = #073642 +;alert = #268bd2 + +; Nord ============ +background = #2E3440 +foreground = #ECEFF4 +secondary = #434C5E +alert = #88C0D0 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; -[bar/bar] -;monitor = ${env:MONITOR:HDMI-1} +[bar/i3bar] width = 100% -height = 25 -fixed-center = true -locale = en_US.UTF-8 +height = 20 + +fixed-center = true +;override-redirect = true background = ${colors.background} foreground = ${colors.foreground} line-size = 2 -line-color = #f00 +line-color = #000000 -padding-left = 0 -padding-right = 0 +padding-left = 2 +padding-right = 2 + +radius = 6.0 +border-left-size = 0.2% +border-top-size = 0.2% +border-right-size = 0.2% + module-margin-left = 1 module-margin-right = 1

@@ -33,25 +43,16 @@ font-0 = Iosevka Nerd Font:style=Medium:size=8;3

font-1 = FontAwesome5Free:style=Solid:size=7.5;2.5 font-2 = Weather Icons:size=7;2 -;; Modules position ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;::; -modules-left = i3 sp2 weather updates-pacman -modules-center = -modules-right = pulseaudio microphone backlight keyboard clipmenu wifi-signal date time sp2 -tray-position = right -tray-padding = 2 -tray-detached = false +modules-left = i3 weather title +modules-right = keyboard pulseaudio backlight wifi-signal time +tray-position = center + ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; [settings] screenchange-reload = true - [global/wm] -margin-top = 5 -margin-bottom = 5 -cursor-click = pointer -cursor-scroll = ns-resize wm-restack = i3 - [module/i3] type = internal/i3

@@ -60,13 +61,13 @@ index-sort = true

wrapping-scroll = false label-mode-padding = 1 label-mode-foreground = #000 -label-mode-background = ${colors.primary} +label-mode-background = ${colors.secondary} label-focused = %icon% -label-focused-background = 073642 +label-focused-background = ${colors.secondary} label-focused-foreground = ${colors.foreground} label-focused-padding = 1 -label-focused-underline = 268bd2 +label-focused-underline = ${colors.alert} label-unfocused = %icon% label-unfocused-foreground = ${colors.foreground}

@@ -128,9 +129,9 @@ type = internal/fs

interval = 25 mount-0 = / mount-1 = /home -label-mounted = %{F#c38611} %mountpoint%: %percentage_used%% +label-mounted =  %mountpoint%: %percentage_used%% label-unmounted = %mountpoint% not mounted -label-unmounted-foreground = ${colors.foreground-alt} +label-unmounted-foreground = ${colors.foreground} [module/pulseaudio]

@@ -151,15 +152,15 @@ [module/cpu]

type = internal/cpu interval = 2 format-prefix = " " -format-prefix-foreground = ${colors.foreground-alt} -label = %{F#1ecb0b} CPU %percentage%% +format-prefix-foreground = ${colors.foreground} +label =  CPU %percentage%% [module/memory] type = internal/memory interval = 2 format-prefix = " " -label = %{F#8d61ff}  MEM %percentage_used%% +label =  MEM %percentage_used%% [module/weather]

@@ -174,8 +175,8 @@ type = custom/script

interval = 1 format = <label> exec = python ~/.config/polybar/scripts/spotify_status.py -f '{artist} - {song}' -format-underline = #1db954 - +format-underline = ${colors.alert} +2 [module/updates-pacman] type = custom/script

@@ -223,10 +224,11 @@

[module/title] type = internal/xwindow -label = %{F#f0f0f0}%title:0:50:...% +label = %title:0:50:...% label-empty = Empty label-empty-foreground = #707880 -label-maxlen = 30 +label-maxlen = 50 + [module/clipmenu] type = custom/text
M config/polybar/launch.sh

@@ -1,11 +1,4 @@

#!/bin/bash - -# Terminate already running bar instances killall -q polybar - -# Wait until the processes have been shut down while pgrep -u $UID -x polybar >/dev/null; do sleep 1; done - -# Launch Polybar, using default config location ~/.config/polybar/config -polybar bar & -echo "Polybar launched..." +polybar i3bar &
M config/polybar/scripts/weather.py

@@ -8,7 +8,7 @@

try: JSON = requests.get(f"http://api.openweathermap.org/data/2.5/weather?q={CITY}&lang=EN&&units=metric&appid={API_KEY}").json() except Exception as e: - print("No connection") + print("No connection ") try: if JSON['weather'][0]['main'] == "Clear": print("", int(JSON["main"]["temp"]),"°С")
M config/qutebrowser/autoconfig.yml

@@ -24,6 +24,20 @@ colors.completion.scrollbar.bg:

global: '#073642' colors.completion.scrollbar.fg: global: '#002b36' + colors.downloads.bar.bg: + global: '#002b36' + colors.downloads.error.bg: + global: '#dc322f' + colors.downloads.start.bg: + global: '#268bd2' + colors.downloads.stop.bg: + global: '#619100' + colors.messages.info.bg: + global: '#002b36' + colors.messages.info.border: + global: '#002b36' + colors.messages.warning.border: + global: '#002b36' colors.statusbar.caret.bg: global: '#002b36' colors.statusbar.command.bg:

@@ -54,8 +68,6 @@ colors.tabs.indicator.start:

global: '#002b36' colors.tabs.indicator.stop: global: '#002b36' - colors.tabs.indicator.system: - global: rgb colors.tabs.odd.bg: global: '#073642' colors.tabs.selected.even.bg:

@@ -66,3 +78,11 @@ colors.tabs.selected.odd.bg:

global: '#002b36' colors.tabs.selected.odd.fg: global: '#073642' + colors.webpage.bg: + global: white + colors.webpage.darkmode.enabled: + global: false + downloads.position: + global: bottom + tabs.position: + global: top
M config/qutebrowser/config.py

@@ -1,11 +1,10 @@

## Generall -c.url.start_pages = ["https://www.google.com"] # Start page -config.load_autoconfig() # Load +c.url.start_pages = ["https://start.duckduckgo.com"] # Start page +config.load_autoconfig() +c.completion.shrink = True -c.downloads.location.directory = '/home/sasha/Загрузки' # Download folder +c.downloads.location.directory = '/home/sasha/Downloads' # Download folder c.tabs.show = 'multiple' # When to show the tab bar. [always, never, multiple ,switching] - -config.set("colors.webpage.darkmode.enabled", True) # Dark mode on all site config.set('content.cookies.accept', 'all', 'chrome-devtools://*') # Accept to cookie config.set('content.cookies.accept', 'all', 'devtools://*') # Accept to cookie

@@ -18,7 +17,6 @@ config.set('content.javascript.enabled', True, 'devtools://*') # Enable JavaScript

config.set('content.javascript.enabled', True, 'chrome://*/*') # Enable JavaScript config.set('content.javascript.enabled', True, 'qute://*/*') # Enable JavaScript - ## User agent config.set('content.headers.user_agent', 'Mozilla/5.0 ({os_info}) AppleWebKit/{webkit_version} (KHTML, like Gecko) {upstream_browser_key}/{upstream_browser_version} Safari/{webkit_version}', 'https://web.whatsapp.com/') config.set('content.headers.user_agent', 'Mozilla/5.0 ({os_info}; rv:71.0) Gecko/20100101 Firefox/71.0', 'https://accounts.google.com/*')

@@ -29,23 +27,8 @@

## Search engines which can be used via the address bar. c.url.searchengines = { - 'DEFAULT': 'https://duckduckgo.com/?q={}', - 'archw': 'https://wiki.archlinux.org/?search={}', - 'google': 'https://www.google.com/search?q={}', - 'reddi': 'https://www.reddit.com/r/{}' + 'DEFAULT': 'https://www.google.com/search?q={}', + 'ddg': 'https://duckduckgo.com/?q={}', + 'arw': 'https://wiki.archlinux.org/?search={}', + 'rdd': 'https://www.reddit.com/r/{}' } - - -## Aiases -c.aliases = { - 'q': 'quit', - 'w': 'session-save', - 'wq': 'quit --save' -} - -## Tabs -c.tabs.position = "bottom" -c.completion.shrink = True - - -
A config/qutebrowser/quickmarks

@@ -0,0 +1,13 @@

+Google https://google.com +Translate https://translate.google.com +Youtube https://youtube.com +Habr https://habr.com/ru +Discord https://discord.com/login +Github https://github.com +Notabug https://notabug.org +Dropbox https://dropbox.com +MEGA https://mega.nz +MediaFire https://mediafire.com +Pingvinus https://pingvinus.ru/ +Reddit https://www.reddit.com/ +Figma https://www.figma.com/files/recent
M config/ranger/plugins/archive.py

@@ -96,5 +96,3 @@ for f in copied_files:

obj = CommandLoader(args=['aunpack'] + make_flags(f.path) + [f.path], descr=descr, read=True) obj.signal_bind('after', refresh) self.fm.loader.add(obj) - -
M config/ranger/plugins/git.py

@@ -3,25 +3,19 @@ from ranger.api.commands import Command

class git(Command): - commands = 'init status clone add rm restore commit remote push'.split() - def execute(self): - # empty if not self.arg(1): return self.fm.notify("For commands check \"git help\"") - # help if self.arg(1) == "help": return self.fm.notify("Not done yet!", bad=True) - # init if self.arg(1) == self.commands[0]: subprocess.run(["git", "init", "--quiet"]) return self.fm.notify("Repository initialized successefully") - # status if self.arg(1) == self.commands[1]: output = subprocess.check_output(["git", "status"]).decode()

@@ -30,7 +24,6 @@ out.write(output)

return self.fm.edit_file('/tmp/gitplug-status') - # clone if self.arg(1) == self.commands[2]: if not self.arg(2): return self.fm.notify("Missing url!", bad=True)

@@ -39,7 +32,6 @@ if self.arg(2):

subprocess.run(["git", "clone", self.arg(2), "--quiet"]) return self.fm.notify("Repository successfully cloned!") - # add if self.arg(1) == self.commands[3]: if not self.arg(2): return self.fm.notify("Missing arguments! Usage :git add <file>", bad=True)

@@ -48,7 +40,6 @@ if self.arg(2):

subprocess.run(["git", "add", self.arg(2)]) return self.fm.notify("Successfully added files to branch!") - #rm if self.arg(1) == self.commands[4]: if not self.arg(2): return self.fm.notify("Missing arguments! Usage :git rm <file>", bad=True)

@@ -57,7 +48,6 @@ if self.arg(2):

subprocess.run(["git", "rm", self.arg(2)]) return self.fm.notify("Successfully removed files from branch!") - # restore if self.arg(1) == self.commands[5]: if not self.arg(2): return self.fm.notify("Missing arguments! Usage :git restore <file>", bad=True)

@@ -66,7 +56,6 @@ if self.arg(2):

subprocess.run(["git", "restore", "--staged", self.arg(2), "--quiet"]) return self.fm.notify("Successfully restored files!") - # commit if self.arg(1) == self.commands[6]: if not self.rest(2): return self.fm.notify("Missing commit text", bad=True)

@@ -75,7 +64,6 @@ if self.rest(2):

subprocess.run(["git", "commit", "-m", self.rest(2), "--quiet"]) return self.fm.notify("Successfully commited!") - # remote if self.arg(1) == self.commands[7]: if not self.arg(2): return self.fm.notify("Missing arguments! Use: git remote add/rm <name> <url>", bad=True)

@@ -100,7 +88,6 @@ if self.arg(3):

subprocess.run(["git", "remote", "rm", self.arg(3)]) return self.fm.notify("Remote successfully removed") - # push if self.arg(1) == self.commands[8]: if self.arg(2) == "-u" and self.arg(3) and self.arg(4): subprocess.run(["git", "push", "--quiet", "-u", self.arg(3), self.arg(4)])
D config/rofi/flat-dark.rasi

@@ -1,42 +0,0 @@

-* { - background-color: #202020; - border-color: #606060; - text-color: #c8c8c8; - width: 768px; - height: 512px; -} - -window { - padding: 8px; -} - -inputbar { - padding: 8px; - children: [/*prompt,*/ entry]; -} - -prompt { - border: 0 1px 0 0; - padding: 4px 20px 8px 12px; -} - -entry { - padding: 4px 12px 8px 20px; -} - -listview { - cycle: false; -} - -element { - padding: 6px 24px; -} - -element selected { - background-color: #303030; - text-color: #e0e0e0; -} - -element-icon { - size: 20px; -}
D config/rofi/solarized.rasi

@@ -1,136 +0,0 @@

-* { - selected-normal-foreground: rgba ( 129, 147, 150, 100 % ); - foreground: rgba ( 129, 147, 150, 100 % ); - normal-foreground: @foreground; - alternate-normal-background: rgba ( 0, 43, 55, 100 % ); - red: rgba ( 220, 50, 47, 100 % ); - selected-urgent-foreground: rgba ( 218, 66, 129, 100 % ); - blue: rgba ( 38, 139, 210, 100 % ); - urgent-foreground: rgba ( 218, 66, 129, 100 % ); - alternate-urgent-background: rgba ( 0, 43, 55, 100 % ); - active-foreground: rgba ( 0, 142, 212, 100 % ); - lightbg: rgba ( 238, 232, 213, 100 % ); - selected-active-foreground: rgba ( 0, 142, 212, 100 % ); - alternate-active-background: rgba ( 0, 43, 55, 100 % ); - background: rgba ( 0, 43, 55, 100 % ); - bordercolor: rgba ( 0, 43, 55, 100 % ); - alternate-normal-foreground: @foreground; - normal-background: rgba ( 0, 43, 55, 100 % ); - lightfg: rgba ( 88, 104, 117, 100 % ); - selected-normal-background: rgba ( 0, 54, 66, 100 % ); - border-color: @foreground; - spacing: 2; - separatorcolor: rgba ( 0, 54, 66, 100 % ); - urgent-background: rgba ( 0, 43, 55, 100 % ); - selected-urgent-background: rgba ( 0, 54, 66, 100 % ); - alternate-urgent-foreground: @urgent-foreground; - background-color: rgba ( 0, 0, 0, 0 % ); - alternate-active-foreground: @active-foreground; - active-background: rgba ( 0, 43, 55, 100 % ); - selected-active-background: rgba ( 0, 54, 66, 100 % ); -} -#window { - background-color: @background; - border: 1; - padding: 5; -} -#mainbox { - border: 0; - padding: 0; -} -#message { - border: 1px dash 0px 0px ; - border-color: @separatorcolor; - padding: 1px ; -} -#textbox { - text-color: @foreground; -} -#listview { - fixed-height: 0; - border: 2px dash 0px 0px ; - border-color: @separatorcolor; - spacing: 2px ; - scrollbar: true; - padding: 2px 0px 0px ; -} -#element { - border: 0; - padding: 1px ; -} -#element.normal.normal { - background-color: @normal-background; - text-color: @normal-foreground; -} -#element.normal.urgent { - background-color: @urgent-background; - text-color: @urgent-foreground; -} -#element.normal.active { - background-color: @active-background; - text-color: @active-foreground; -} -#element.selected.normal { - background-color: @selected-normal-background; - text-color: @selected-normal-foreground; -} -#element.selected.urgent { - background-color: @selected-urgent-background; - text-color: @selected-urgent-foreground; -} -#element.selected.active { - background-color: @selected-active-background; - text-color: @selected-active-foreground; -} -#element.alternate.normal { - background-color: @alternate-normal-background; - text-color: @alternate-normal-foreground; -} -#element.alternate.urgent { - background-color: @alternate-urgent-background; - text-color: @alternate-urgent-foreground; -} -#element.alternate.active { - background-color: @alternate-active-background; - text-color: @alternate-active-foreground; -} -#scrollbar { - width: 4px ; - border: 0; - handle-width: 8px ; - padding: 0; -} -#mode-switcher { - border: 2px dash 0px 0px ; - border-color: @separatorcolor; -} -#button.selected { - background-color: @selected-normal-background; - text-color: @selected-normal-foreground; -} -#inputbar { - spacing: 0; - text-color: @normal-foreground; - padding: 1px ; -} -#case-indicator { - spacing: 0; - text-color: @normal-foreground; -} -#entry { - spacing: 0; - text-color: @normal-foreground; -} -#prompt { - spacing: 0; - text-color: @normal-foreground; -} -#inputbar { - children: [ prompt,textbox-prompt-colon,entry,case-indicator ]; -} -#textbox-prompt-colon { - expand: false; - str: ":"; - margin: 0px 0.3em 0em 0em ; - text-color: @normal-foreground; -}
A config/sxhkd/sxhkdrc

@@ -0,0 +1,53 @@

+super + Return # Open terminal + kitty + +super + @space # Program launcher + rofi -show drun -show cobi -show-icons + +super + Escape # Exit manu + rofi -show power-menu -width 30 -lines 6 -modi power-menu:~/.config/rofi/rofi-power-menu + +super + ctrl + u # Config editor + ~/.script/dmenu/dmenu-config-edit.sh + +super + q # Kill window + bspc node -k + +super + shift + r # Restart bspwm + bspc wm -r + +super + g # swap the current node and the biggest window + bspc node -s biggest.window + +# Sceenshot +Print + scrot -s /home/${USER}/$(date +%Y-%m-%d-%H-%M-%S).png +shift + Print + scrot /home/${USER}/$(date +%Y-%m-%d-%H-%M-%S).png + +super + {t,shift + t,s,f} + bspc node -t {tiled,pseudo_tiled,floating,fullscreen} + +super + {_,shift + }{h,j,k,l} # focus the node in the given direction + bspc node -{f,s} {west,south,north,east} + +super + {_,shift + }{1-9,0} # focus or send to the given desktop + bspc {desktop -f,node -d} '^{1-9,10}' + +super + ctrl + {h,j,k,l} # preselect the direction + bspc node -p {west,south,north,east} + +super + ctrl + {1-9} # preselect the ratio + bspc node -o 0.{1-9} + +super + ctrl + space # cancel the preselection for the focused node + bspc node -p cancel + +super + alt + {h,j,k,l} # expand a window by moving one of its side outward + bspc node -z {left -20 0,bottom 0 20,top 0 -20,right 20 0} + +super + alt + shift + {h,j,k,l} # contract a window by moving one of its side inward + bspc node -z {right -20 0,top 0 20,bottom 0 -20,left 20 0} + +super + {Left,Down,Up,Right} # move a floating window + bspc node -v {-20 0,0 20,0 -20,20 0}
D install.sh

@@ -1,33 +0,0 @@

-echo -e "1: Fast install \n2: Manual Install" -read -p ": " INSTALL_METHOD - -if [[ "$INSTALL_METHOD" == "1" ]]; then - mv {bashrc,gitconfig,gitignore_global,tmux.conf,tmux.conf.local,vimrc,zshrc} /home/{$USER} - cd config - mv {htop,neofetch} /home/{$USER}/.config - mv sublime-text-3/{"Default (Linux).sublime-keymap","Package Control.sublime-settings","Preferences.sublime-settings"} /home/{$USER}/.config/sublime-text-3/Packages/User/ -if [[ "$INSTALL_METHOD" == "2" ]]; then - read -p "Install config for Sublime Text 3 [y/n]: " SUBLIME - read -p "Install vim config [y/n]: " VIM - read -p "Install git config [y/n]: " GIT - read -p "Install zsh config [y/n]: " ZSH - read -p "Install bash config [y/n]: " BASH - read -p "Intall tmux config [y/n]: " TMUX - if [[ "$VIM" == "y" ]] || [[ "$VIM" == "Y" ]]; then - curl -fLo ~/.vim/autoload/plug.vim --create-dirs https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim - mv vimrc ~/.vimrc - elif [[ "$GIT" == "y" ]] || [[ "$GIT" == "Y" ]]; then - mv gitconfig ~/.gitconfig - mv gitignore_global ~/.gitignore_global - elif [[ "$ZSH" == "y" ]] || [[ "$ZSH" == "Y" ]]; then - mv zshrc ~/.zshrc - touch /home/$USER/.env - elif [[ "$BASH" = "y" ]] || [[ "$BASH" = "Y" ]]; then - mv bashrc ~/.bashrc - elif [[ "$TMUX" = "y" ]] || [[ "$TMUX" = "y" ]]; then - mv tmux.conf ~/.tmux.conf - mv tmux.conf.local ~/.tmux.conf.local - elif [[ "$SUBLIME" = "y" ]] || [[ "$SUBLIME" = "Y" ]]; then - mv ./sublime-text-3/* /home/{$USER}/.config/sublime-text-3/Packages/User - fi -fi
A scripts/change-shell.sh

@@ -0,0 +1,18 @@

+#!/bin/sh + +case "$1" in + "help"|"--help") + echo "bash Change default shell to bash" + echo "zsh Change default shell to zsh" + echo "fish Change default shell to fish" + ;; + bash) + chsh -s $(whitch bash) + ;; + zsh) + chsh -s $(whitch zsh) + ;; + fish) + chsh -s $(whitch fish) + ;; +esac
A scripts/dmenu/dmenu-config-edit.sh

@@ -0,0 +1,43 @@

+#!/bin/sh + +declare options=("i3 +bspwm +polybar +picom +quickmarks +vim +nvim +xresources +dunst +zsh +quit") + +choice=$(echo -e "${options[@]}" | dmenu -i -p 'Edit config file: ') + +case "$choice" in + quit) + echo "Program terminated." && exit 1 ;; + dunst) + choice="$HOME/.config/dunst/dunstrc" ;; + i3) + choice="$HOME/.config/i3/config" ;; + bspwm) + choice="$HOME/.config/bspwm/bspwmrc" ;; + picom) + choice="$HOME/.config/picom.conf" ;; + polybar) + choice="$HOME/.config/polybar/config" ;; + quickmarks) + choice="$HOME/.config/qutebrowser/quickmarks" ;; + vim) + choice="$HOME/.vimrc" ;; + nvim) + choice="$HOME/.config/nvim/init.vim" ;; + xresources) + choice="$HOME/.Xresources" ;; + zsh) + choice="$HOME/.zshrc" ;; + *) + exit 1 ;; +esac +kitty -e nvim "$choice"
M scripts/snap-remove-old-pkg.sh

@@ -1,4 +1,6 @@

#!/bin/sh LANG=en_US.UTF-8 snap list --all | awk '/disabled/{print $1, $3}' | while read snapname revision -do; sudo snap remove "$snapname" --revision="$revision"; done +do + sudo snap remove "$snapname" --revision="$revision" +done
M scripts/walpapper-changer.sh

@@ -1,6 +1,6 @@

#!/bin/bash WALLPAPERS=/home/sasha/Изображения/Walpapper -SLEEP_TIME=60 +SLEEP_TIME=3 while true; do feh --randomize --bg-scale $WALLPAPERS/*
A taskrc

@@ -0,0 +1,15 @@

+# Taskwarrior program configuration file. + +### Files ### +data.location=~/.task + +### Color theme ### +include /usr/share/doc/task/rc/solarized-dark-256.theme + +### Variables ### +weekstart=monday +search.case.sensitive=no +active.indicator=↪ +report.list.columns=id,project,priority,description,entry.age +alias.burndown=burndown.daily +default.command=ready limit:page
M vimrc

@@ -1,10 +1,6 @@

call plug#begin('~/.vim/plugged') Plug 'jiangmiao/auto-pairs' - Plug 'flazz/vim-colorschemes' - Plug 'itchyny/lightline.vim' - Plug'junegunn/goyo.vim' - Plug 'pangloss/vim-javascript', {'for': 'js'} - Plug 'mattn/emmet-vim', {'for': 'html'} + Plug 'ayu-theme/ayu-vim' call plug#end() set nocompatible " be iMproved

@@ -24,7 +20,7 @@ set encoding=utf-8 " Use utf-8 encoding

set fileencodings=utf8,cp1251 -"set cursorline " The line with the cursor will be highlighted +set cursorline " The line with the cursor will be highlighted set wrap " Line wrappingv set linebreak " Line wrappingv

@@ -56,20 +52,10 @@

set visualbell t_vb= " Mute Vim " ColoerCheme +set termguicolors set background=dark -colorscheme OceanicNext - -" Lightline -let g:lightline = { - \ 'colorscheme': 'wombat', - \ } -let g:dcrpc_autostart = 1 - - -" Goyo -let g:goyo_width = 125 -let g:goyo_height = '100%' - +let ayucolor="mirage" +colorscheme ayu """""""""" " MAPING "
M zshrc

@@ -1,8 +1,8 @@

export ZSH="/home/sasha/.oh-my-zsh" #export ZSH="/root/.oh-my-zsh" -ZSH_THEME="simple" #ZSH_THEME="bureau" +ZSH_THEME="cyan-simple" # Uncomment the following line to use case-sensitive completion. #CASE_SENSITIVE="true"

@@ -26,24 +26,28 @@ # Uncomment the following line to disable colors in ls.

#DISABLE_LS_COLORS="true" # Uncomment the following line to disable auto-setting terminal title. -#DISABLE_AUTO_TITLE="true" +export DISABLE_AUTO_TITLE="true" # Uncomment the following line to enable command auto-correction. #ENABLE_CORRECTION="true" +# You may need to manually set your language environment +export LANG=en_US.UTF-8 + # Uncomment the following line to display red dots whilst waiting for completion. #COMPLETION_WAITING_DOTS="true" -plugins=(pip python git tmux docker) +# Plugins +plugins=(pip python sudo git tmux taskwarrior) source $ZSH/oh-my-zsh.sh # User configuration +export EDITOR="vim" -# You may need to manually set your language environment -#export LANG=en_US.UTF-8 +echo "$(tput bold)Welcome:$(tput sgr0) $(whoami)" +source ~/.env +source ~/.profile alias cls='clear' -alias sl='ls' -alias cd..='cd ..' alias :q="exit" alias py='python3'